### Method

# Xdp Session get_streams

#### Declaration [src]

    GVariant*
    xdp_session_get_streams (
      XdpSession* session
    )

#### Description [src]

Obtains the streams that the user selected.

The information in the returned `GVariant` has the format `a(ua{sv})`. Each item in the array is describing a stream. The first member is the pipewire node ID, the second is a dictionary of stream properties, including:

- position, `(ii)`: a tuple consisting of the position `(x, y)` in the compositor coordinate space. Note that the position may not be equivalent to a position in a pixel coordinate space. Only available for monitor streams.
- size, `(ii)`: a tuple consisting of (width, height). The size represents the size of the stream as it is displayed in the compositor coordinate space. Note that this size may not be equivalent to a size in a pixel coordinate space. The size may differ from the size of the stream.

Unless the session is active, this function returns `NULL`.

#### Return value

Type: `GVariant`

The selected streams.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.